Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.type
Class LobType<T>

    java.lang.Object
      org.hibernate.type.AbstractStandardBasicType<T>
          org.hibernate.type.AbstractSingleColumnStandardBasicType<T>
              org.hibernate.type.LobType<T>

All Implemented Interfaces:
  Serializable, BasicType, SingleColumnType<T>, StringRepresentableType<T>, Type, XmlRepresentableType<T>

Direct Known Subclasses:
  BlobType, CharacterArrayClobType, ClobType, MaterializedBlobType, MaterializedClobType, PrimitiveCharacterArrayClobType, WrappedMaterializedBlobType

    public abstract class LobType<T>

extends AbstractSingleColumnStandardBasicType<T>

A base type used to define a LOB type; it also provides alternatives that can override this type via `getAlternatives()` getAlternatives()}

Author:
  Gail Badner
See Also:
  Serialized Form

Constructor Summary
`LobType(SqlTypeDescriptor sqlTypeDescriptor, JavaTypeDescriptor<T> javaTypeDescriptor, AlternativeLobTypes alternativeLobTypes)`

Method Summary
`AlternativeLobTypes` | `getAlternatives()`

Methods inherited from class org.hibernate.type.AbstractSingleColumnStandardBasicType
`get, nullSafeGet, nullSafeSet, nullSafeSet, set, sqlType`

Methods inherited from class org.hibernate.type.AbstractStandardBasicType
`assemble, beforeAssemble, compare, deepCopy, deepCopy, disassemble, fromString, fromStringValue, fromXMLNode, fromXMLString, get, getColumnSpan, getHashCode, getHashCode, getHashCode, getJavaTypeDescriptor, getMutabilityPlan, getRegistrationKeys, getReplacement, getReturnedClass, getSemiResolvedType, getSqlTypeDescriptor, hydrate, isAnyType, isAssociationType, isCollectionType, isComponentType, isDirty, isDirty, isDirty, isEntityType, isEqual, isEqual, isEqual, isModified, isMutable, isSame, isSame, isXMLElement, nullSafeGet, nullSafeGet, nullSafeGet, nullSafeGet, nullSafeSet, nullSafeSet, registerUnderJavaType, replace, replace, resolve, semiResolve, set, setToXMLNode, sqlTypes, toColumnNullness, toLoggableString, toString, toXMLString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.type.SingleColumnType
`fromStringValue, get, nullSafeGet, set, toString`

Methods inherited from interface org.hibernate.type.Type
`assemble, beforeAssemble, compare, deepCopy, disassemble, fromXMLNode, getColumnSpan, getHashCode, getHashCode, getName, getReturnedClass, getSemiResolvedType, hydrate, isAnyType, isAssociationType, isCollectionType, isComponentType, isDirty, isDirty, isEntityType, isEqual, isEqual, isModified, isMutable, isSame, isXMLElement, nullSafeGet, nullSafeGet, nullSafeSet, replace, replace, resolve, semiResolve, setToXMLNode, sqlTypes, toColumnNullness, toLoggableString`

Constructor Detail

### LobType

    public LobType(SqlTypeDescriptor sqlTypeDescriptor,
                   JavaTypeDescriptor<T> javaTypeDescriptor,
                   AlternativeLobTypes alternativeLobTypes)

Method Detail

### getAlternatives

    public AlternativeLobTypes getAlternatives()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.